Subject: bug#731: 23.0.60; Varying point position after undo

From: martin rudalics <[email-masked]>
Date: Mon, 22 Sep 2008 17:59:14 +0200

> Hmm.. the comment seems to say that calling it is just redundant,
 > whereas this thread shows that it can actually be harmful.
 > Could you improve the comment so as to explain why it's harmful?

I checked it in with a slightly more accurate comment.  IMHO, however,
last_boundary_buffer and last_boundary_position should be documented
better.  In particular, I don't understand the comment near the end of
record_point saying

   /* If we are just after an undo boundary, and
      point wasn't at start of deleted range, record where it was.  */

BTW, why isn't there a separate last_boundary_position for each buffer?

martin